Name:           ocaml-cppo
Version:        0.9.3
Release:        %mkrel 6
Summary:        An equivalent of the C preprocessor targeted at the OCaml language
License:        BSD
Group:          Development/OCaml
URL:            https://github.com/mjambon/cppo
Source0:        http://mjambon.com/releases/cppo/cppo-%{version}.tar.gz
BuildRequires:  ocaml

%description
Cppo is an equivalent of the C preprocessor targeted at the OCaml language
and its variants.

The main purpose of cppo is to provide a lightweight tool for simple macro
substitution (#define) and file inclusion (#include) for the occasional case
when this is useful in OCaml. Processing specific sections of files by
calling external programs is also possible via #ext directives.

The implementation of cppo relies on the standard library of OCaml and on
the standard parsing tools Ocamllex and Ocamlyacc, which contribute to the
robustness of cppo across OCaml versions.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n cppo-%{version}

%build
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/bin
make install PREFIX=%{buildroot}/usr

%files
%doc LICENSE README Changes
%{_bindir}/cppo

%files devel
%doc examples/


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.9.3-6.mga4
+ Revision: 534319
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 blue_prawn <blue_prawn> 0.9.3-5.mga4
+ Revision: 477272
- rebuild for ocaml-4.01.0

* Sat Jan 12 2013 umeabot <umeabot> 0.9.3-4.mga3
+ Revision: 361225
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.9.3-3.mga3
+ Revision: 301644
- new rpm group for ocaml

* Fri Sep 28 2012 blue_prawn <blue_prawn> 0.9.3-2.mga3
+ Revision: 299088
- new rpm group for ocaml

* Sat Sep 01 2012 blue_prawn <blue_prawn> 0.9.3-1.mga3
+ Revision: 286895
- updated to last version 0.9.3 (and new homepage, new download link)

* Sun Jun 24 2012 blue_prawn <blue_prawn> 0.9.2-1.mga3
+ Revision: 262912
- imported package ocaml-cppo

